%define ver %(echo %{version} |sed -e 's,\\.,_,g')

%define _disable_ld_no_undefined %{nil}

%define oname SQUIRREL3

%define major 0
%define libname %mklibname %{name} %{major}
%define libstdl %mklibname sqstdlib %{major}
%define devname %mklibname %{name} -d

Summary:	The squirrel language
Name:		squirrel
Version:	3.0.7
Release:	1
License:	zlib
Group:		Development/Tools
Url:		http://squirrel-lang.org
Source0:	http://ovh.dl.sourceforge.net/sourceforge/squirrel/%{name}_%{ver}_stable.tar.gz
Patch0:		squirrel-autoconfiscate.patch

%description
Squirrel is a light weight programming language featuring higher-order
functions,classes/inheritance, delegation, tail recursion, generators,
cooperative threads,exception handling, reference counting and garbage
collection on demand. C-like syntax.

%files
%doc README HISTORY COPYRIGHT COMPILE
%{_bindir}/sq

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Shared library from %{name}
Group:		System/Libraries

%description -n %{libname}
Shared library from %{name}.

%files -n %{libname}
%{_libdir}/libsquirrel.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{libstdl}
Summary:	Shared library from %{name}
Group:		System/Libraries

%description -n %{libstdl}
Shared library from %{name}.

%files -n %{libstdl}
%{_libdir}/libsqstdlib.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development files from %{name}
Group:		Development/Other
Requires:	%{libname} = %{EVRD}
Requires:	%{libstdl} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}

%description -n %{devname}
Development files from %{name}.

%files -n %{devname}
%dir %{_datadir}/%{name}/examples/
%{_datadir}/%{name}/examples/*.nut
%{_includedir}/%{name}
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

#----------------------------------------------------------------------------

%prep
%setup -qn %{oname}
%patch0 -p1 -b .autotools

# fix file permissions
find . -type f -exec chmod a-x {} \;
chmod +x configure config.guess config.sub

# fix EOL + preserve timestamps
for f in README HISTORY COPYRIGHT
do
    perl -pi -e 's/\015$//' $f
done

%build
autoreconf -fi
%configure2_5x \
	--includedir=%{_includedir}/%{name} \
	--disable-static
%make

%install
%makeinstall_std INSTALL="/usr/bin/install -p"

# Add pkgconfig file
mkdir -p %{buildroot}%{_libdir}/pkgconfig
cat >%{buildroot}%{_libdir}/pkgconfig/squirrel.pc <<EOF
prefix=%{_prefix}
exec_prefix=%{_prefix}
libdir=%{_libdir}
includedir=%{_includedir}/squirrel

Name: %{name}
Description: squirrel library
Version: %{version}

Requires:
Libs: -lsquirrel -lsqstdlib
Cflags: -I\${includedir}
EOF

#correct wrong file end of line encoding
perl -pi -e 's/\015$//' %{buildroot}/%{_includedir}/*

# Fix SUSE-ism
mv %{buildroot}%{_docdir}/packages/%{name} %{buildroot}%{_docdir}/%{name}
rmdir %{buildroot}%{_docdir}/packages


%changelog

* Mon Dec 21 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 3.0.7-1
- (5fa7c09) New version 3.0.7
- (5fa7c09) Re-organize library subpackages


